<?php
/**
 * FormItMaker Connector
 *
 * @package formitmaker
 */
require_once dirname(dirname(dirname(dirname(__FILE__)))).'/config.core.php';
require_once MODX_CORE_PATH.'config/'.MODX_CONFIG_KEY.'.inc.php';
require_once MODX_CONNECTORS_PATH.'index.php';

$corePath = $modx->getOption('formitmaker.core_path',null,$modx->getOption('core_path').'components/formitmaker/');
require_once $corePath.'model/formitmaker/formitmaker.class.php';
$modx->formitmaker = new FormItMaker($modx);

$modx->lexicon->load('formitmaker:default');

/* handle request */
$path = $modx->getOption('processorsPath',$modx->formitmaker->config,$corePath.'processors/');
$modx->request->handleRequest(array(
    'processors_path' => $path,
    'location' => '',
));