<?php
/**
 * Default English Lexicon Entries for FormItMaker
 *
 * @package formitmaker
 * @subpackage lexicon
 */

//general
$_lang['formitmaker'] = 'FormItMaker';
$_lang['formitmaker.desc'] = 'Create and manage your FormIt forms.';
$_lang['formitmaker.search...'] = 'Search...';

//forms
$_lang['formitmaker.forms'] = 'Forms';
$_lang['formitmaker.forms.new'] = 'New form';
$_lang['formitmaker.forms.update'] = 'Update form';
$_lang['formitmaker.forms.updateformelements'] = 'Update form elements';
$_lang['formitmaker.forms.remove'] = 'Remove form';
$_lang['formitmaker.forms.remove.confirm'] = 'Are you sure you want to remove this form?';
$_lang['formitmaker.forms.title'] = 'Title';
$_lang['formitmaker.forms.emailto'] = 'Email to';
$_lang['formitmaker.forms.redirectto'] = 'Redirect to page id';
$_lang['formitmaker.forms.err.nf'] = 'Form not found';

//form elements
$_lang['formitmaker.formelements'] = 'Form elements';
$_lang['formitmaker.formelements.new'] = 'Create new form element';
$_lang['formitmaker.formelements.general'] = 'General';
$_lang['formitmaker.formelements.backtoforms'] = 'Back to forms';
$_lang['formitmaker.formelements.create'] = 'New form element';
$_lang['formitmaker.formelements.update'] = 'Update form element';
$_lang['formitmaker.formelements.remove'] = 'Remove form element';
$_lang['formitmaker.formelements.remove.confirm'] = 'Are you sure you want to remove this form element?';
$_lang['formitmaker.formelements.title'] = 'Title';
$_lang['formitmaker.formelements.fieldtype'] = 'Field type';
$_lang['formitmaker.formelements.fieldvalues'] = 'Field value(s)';
$_lang['formitmaker.formelements.formindex'] = 'Rank';
$_lang['formitmaker.formelements.advanced'] = 'Advanced';
$_lang['formitmaker.formelements.customchunk'] = 'Custom chunk';
//validation
$_lang['formitmaker.formelements.val.validation'] = 'Validation';
$_lang['formitmaker.formelements.val.blank'] = 'Must be blank';
$_lang['formitmaker.formelements.val.required'] = 'Required';
$_lang['formitmaker.formelements.val.email'] = 'Email address';
$_lang['formitmaker.formelements.val.minlength'] = 'Min length';
$_lang['formitmaker.formelements.val.maxlength'] = 'Max length';
$_lang['formitmaker.formelements.val.minvalue'] = 'Min value';
$_lang['formitmaker.formelements.val.maxvalue'] = 'Max value';
$_lang['formitmaker.formelements.val.contains'] = 'Must contain';
$_lang['formitmaker.formelements.val.striptags'] = 'Strip html tags';
$_lang['formitmaker.formelements.val.isnumber'] = 'Must be numeric';
$_lang['formitmaker.formelements.val.advanced'] = 'Advanced validation (see FormIt manual)';
//errors
$_lang['formitmaker.formelements.err.nf'] = 'Form not found';