<?php
/**
 * Get a list of form elements
 *
 *
 * @package formitmaker
 * @subpackage processors.subscribers.list
 */

/* setup default properties */
$sort       = $modx->getOption('sort',$_REQUEST,'fimFormelement.formindex');
$dir        = $modx->getOption('dir',$_REQUEST,'ASC');

/* query for forms */
$c = $modx->newQuery('fimFormelement');
$count = $modx->getCount('fimFormelement',$c);
$c->where(array('fimFormelement.form' => $_REQUEST['form']));
$c->sortby($sort,$dir);
$formelements = $modx->getCollection('fimFormelement',$c);

/* iterate through forms */
$list = array();
foreach ($formelements as $formelement) {
        $list[] = $formelement->toArray();
}
return $this->outputArray($list,$count);