<?php
/**
 * @package formitmaker
 * @subpackage processors
 */
/* parse JSON */
if (empty($scriptProperties['data'])) return $modx->error->failure('Invalid data.');
$_DATA = $modx->fromJSON($scriptProperties['data']);
if (!is_array($_DATA)) return $modx->error->failure('Invalid data.');

/* get obj */
if (empty($_DATA['id'])) return $modx->error->failure($modx->lexicon('formitmaker.formelements.err.nf'));
$formelement = $modx->getObject('fimFormelement',$_DATA['id']);
if (empty($formelement)) return $modx->error->failure($modx->lexicon('formitmaker.formelements.err.nf'));

$formelement->fromArray($_DATA);

/* save */
if ($formelement->save() == false) {
    return $modx->error->failure($modx->lexicon('formitmake.formelements.err.save'));
}

return $modx->error->success('',$formelement);